Get voice agent details
curl --request GET \
--url https://api.getkarta.ai/public/v1/voice/agents/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getkarta.ai/public/v1/voice/agents/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getkarta.ai/public/v1/voice/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agentId": "agentexample",
"customerDetails": {
"dataResidencyRegion": "IN"
},
"languageConfig": {
"primaryLanguage": "en",
"secondaryLanguages": []
},
"languageDefaultsConfig": null,
"agentDetails": {
"instructions": "SGVscCBjdXN0b21lcnMgd2l0aCB0aGVpciBxdWVzdGlvbnMu",
"dynamicVariables": [],
"agentName": "Example support agent",
"updatedAt": null
},
"welcomeMessageConfig": null,
"STTConfigs": [],
"agentVoiceConfigs": [],
"experimental": {
"ttsCache": true
},
"pronunciationDictionaryConfigs": null,
"LLMConfigs": [],
"ToolsConfig": [],
"CustomToolsConfig": [],
"inboundWebhookConfigs": [],
"SpeechConfigs": {
"responsiveness": 1,
"interruptionSensitivity": 1,
"idleUserTimeoutMs": 10000,
"minConsecutiveSpeechDelay": 1,
"discardAudioDuringInterruption": true,
"maxEndpointingDelayBase": 2.5,
"endpointingMode": "fixed",
"dtmfEnabled": false,
"toolEngagingMessageEnabled": false
},
"turnDetectionConfigs": {
"turnDetectionModel": "vad",
"modelConfig": {}
},
"PostCallAnalysisConfigs": [],
"voicemailDetectionConfig": {
"detection_duration_ms": 3000,
"llm_settings": {}
},
"agentKBConfig": {
"topn": 3,
"enableKB": false
},
"agentContextConfig": {
"kbStoreConfig": {
"maxChunkCount": 10,
"maxToken": 5000
}
},
"intentConfig": {
"enableIntentWorkflow": false,
"intentIdentificationConfig": {
"instructions": "",
"intentThreshold": 0.4,
"categories": [],
"categoryDescription": ""
},
"intentEscalationConfig": {
"instructions": ""
}
},
"widgetConfig": null,
"useNumberPool": false,
"createdAt": null,
"updatedAt": null,
"postCallWorkFlow": []
}Agents
Get voice agent details
Retrieve a voice agent’s configuration.
GET
/
voice
/
agents
/
{agent_id}
Get voice agent details
curl --request GET \
--url https://api.getkarta.ai/public/v1/voice/agents/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getkarta.ai/public/v1/voice/agents/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getkarta.ai/public/v1/voice/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agentId": "agentexample",
"customerDetails": {
"dataResidencyRegion": "IN"
},
"languageConfig": {
"primaryLanguage": "en",
"secondaryLanguages": []
},
"languageDefaultsConfig": null,
"agentDetails": {
"instructions": "SGVscCBjdXN0b21lcnMgd2l0aCB0aGVpciBxdWVzdGlvbnMu",
"dynamicVariables": [],
"agentName": "Example support agent",
"updatedAt": null
},
"welcomeMessageConfig": null,
"STTConfigs": [],
"agentVoiceConfigs": [],
"experimental": {
"ttsCache": true
},
"pronunciationDictionaryConfigs": null,
"LLMConfigs": [],
"ToolsConfig": [],
"CustomToolsConfig": [],
"inboundWebhookConfigs": [],
"SpeechConfigs": {
"responsiveness": 1,
"interruptionSensitivity": 1,
"idleUserTimeoutMs": 10000,
"minConsecutiveSpeechDelay": 1,
"discardAudioDuringInterruption": true,
"maxEndpointingDelayBase": 2.5,
"endpointingMode": "fixed",
"dtmfEnabled": false,
"toolEngagingMessageEnabled": false
},
"turnDetectionConfigs": {
"turnDetectionModel": "vad",
"modelConfig": {}
},
"PostCallAnalysisConfigs": [],
"voicemailDetectionConfig": {
"detection_duration_ms": 3000,
"llm_settings": {}
},
"agentKBConfig": {
"topn": 3,
"enableKB": false
},
"agentContextConfig": {
"kbStoreConfig": {
"maxChunkCount": 10,
"maxToken": 5000
}
},
"intentConfig": {
"enableIntentWorkflow": false,
"intentIdentificationConfig": {
"instructions": "",
"intentThreshold": 0.4,
"categories": [],
"categoryDescription": ""
},
"intentEscalationConfig": {
"instructions": ""
}
},
"widgetConfig": null,
"useNumberPool": false,
"createdAt": null,
"updatedAt": null,
"postCallWorkFlow": []
}Keep returned credentials private.
Path Parameters
Response
Successful response.
Voice agent configuration.